## org.eclipse.datatools.modelbase.dbdefinition
Interface PrivilegedElementDefinition

All Known Implementing Classes:
  PrivilegedElementDefinitionImpl

    public interface PrivilegedElementDefinition

A representation of the model object 'Privileged Element Definition'.

The following features are supported:

- `Privilege Definitions`
- `Name`

See Also:
  `DatabaseDefinitionPackage.getPrivilegedElementDefinition()`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`EList` `getPrivilegeDefinitions()` Returns the value of the 'Privilege Definitions' containment reference list.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

Method Detail

### getPrivilegeDefinitions

    EList getPrivilegeDefinitions()

  Returns the value of the 'Privilege Definitions' containment reference list. The list contents are of type `PrivilegeDefinition`.

  If the meaning of the 'Privilege Definitions' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Privilege Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getPrivilegedElementDefinition_PrivilegeDefinitions()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DatabaseDefinitionPackage.getPrivilegedElementDefinition_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.